import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self, bias: torch.Tensor, k: torch.Tensor):
        super(Model, self).__init__()
        self.register_buffer("bias", bias)
        self.register_buffer("k", k)

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        z = x + self.bias
        s = torch.sigmoid(z)
        v = z * s
        return torch.where(z >= 0, v, float(self.k.item()) * v)

batch_size = 16
dim = 16384

def get_inputs():
    x = torch.randn(batch_size, dim)
    return [x]

def get_init_inputs():
    bias = torch.randn(dim)
    k = torch.tensor(0.1, dtype=torch.float32)
    return [bias, k]
